Subject: 28.0.91; shortdoc: Add support for outline-minor-mode

From: Daniel Mendler <[email-masked]>
Date: Sun, 13 Feb 2022 23:39:11 +0100

The shortdoc buffer currently lacks support for the outline-minor-mode.
By setting the two variables outline-regexp and outline-level, we can
unlock this feature. Does it make sense to provide this by default?

(defun shortdoc--outline-level () (if (eq (char-after) ?\() 2 1)))
(add-hook 'shortdoc-mode-hook
          (lambda ()
            (setq-local outline-level #'shortdoc--outline-level
                        outline-regexp "[A-Z(]")))

In GNU Emacs 28.0.91 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5,
cairo version 1.16.0)
 of 2022-02-09 built on projects
Repository revision: 82e74e4559b8becd44f3e7ac0134e2baddd69921
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)